Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::File_Descriptor_Source Class Referenceabstract

`#include <proc_walk.h>`

## Public Member Functions
virtual int | next_fd ()=0
virtual | ~File_Descriptor_Source ()=default

## Detailed Description

Definition at line 16 of file proc_walk.h.

## Constructor & Destructor Documentation

virtual Botan::File_Descriptor_Source::~File_Descriptor_Source | ( |  | ) |
| virtual default

## Member Function Documentation

virtual int Botan::File_Descriptor_Source::next_fd | ( |  | ) |
| pure virtual

The documentation for this class was generated from the following file:

- src/lib/entropy/proc_walk/proc_walk.h